Package org.springframework.batch.integration.partition

# Class BeanFactoryStepLocator

java.lang.Object
org.springframework.batch.integration.partition.BeanFactoryStepLocator

All Implemented Interfaces:
  `StepLocator`, `org.springframework.beans.factory.Aware`, `org.springframework.beans.factory.BeanFactoryAware`

public class BeanFactoryStepLocator extends Object implements StepLocator, org.springframework.beans.factory.BeanFactoryAware
A `StepLocator` implementation that just looks in its enclosing bean factory for components of type `Step`.

Author:
  Dave Syer, Mahmoud Ben Hassine

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BeanFactoryStepLocator()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Step`
  `getStep(String stepName)`
  Look up a bean with the provided name of type `Step`.
  `Collection<String>`
  `getStepNames()`
  Look in the bean factory for all beans of type `Step`.
  `void`
  `setBeanFactory(org.springframework.beans.factory.BeanFactory beanFactory)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BeanFactoryStepLocator

    public BeanFactoryStepLocator()

- ## Method Details

  - ### setBeanFactory

    public void setBeanFactory(org.springframework.beans.factory.BeanFactory beanFactory) throws org.springframework.beans.BeansException
    Specified by:
      `setBeanFactory` in interface `org.springframework.beans.factory.BeanFactoryAware`
    Throws:
      `org.springframework.beans.BeansException`

  - ### getStep

    public Step getStep(String stepName)
    Look up a bean with the provided name of type `Step`.
    Specified by:
      `getStep` in interface `StepLocator`
    See Also:
      - `StepLocator.getStep(String)`

  - ### getStepNames

    public Collection<String> getStepNames()
    Look in the bean factory for all beans of type `Step`.
    Specified by:
      `getStepNames` in interface `StepLocator`
    Throws:
      `IllegalStateException` - if the `BeanFactory` is not listable
    See Also:
      - `StepLocator.getStepNames()`